Debian Bug report logs - #314876
ipython: segmentaion fault

version graph

Package: python2.3; Maintainer for python2.3 is (unknown);

Reported by: Tom <tmb-debian-bugs@lumo.com>

Date: Sun, 19 Jun 2005 04:33:01 UTC

Severity: grave

Tags: etch

Merged with 319192

Fixed in version python2.3/2.3.5-5

Done: Matthias Klose <doko@cs.tu-berlin.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tmb-debian-bugs@lumo.com, Jack Moffitt <jack@xiph.org>:
Bug#314876; Package ipython. Full text and rfc822 format available.

Acknowledgement sent to Tom <tmb-debian-bugs@lumo.com>:
New Bug report received and forwarded. Copy sent to tmb-debian-bugs@lumo.com, Jack Moffitt <jack@xiph.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tom <tmb-debian-bugs@lumo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ipython: segmentaion fault
Date: Sun, 19 Jun 2005 06:30:00 +0200
Package: ipython
Version: 0.6.15-1
Severity: grave
Justification: renders package unusable


The ipython interpreter segfaults for the simplest of inputs.

$ ipython
Python 2.3.5 (#2, May 29 2005, 00:34:43)
Type "copyright", "credits" or "license" for more information.

IPython 0.6.15 -- An enhanced Interactive Python.
?       -> Introduction to IPython's features.
%magic  -> Information about IPython's 'magic' % functions.
help    -> Python's own help system.
object? -> Details about 'object'. ?object also works, ?? prints more.

In [1]: print 3
Segmentation fault
$


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-9-amd64-k8
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages ipython depends on:
ii  ipython-common                0.6.15-1   enhanced interactive Python shell 
ii  python2.3-ipython             0.6.15-1   enhanced interactive Python shell 

ipython recommends no packages.

Versions of packages ipython is related to:
ii  reportbug                     3.13       reports bugs in the Debian distrib

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Jack Moffitt <jack@xiph.org>:
Bug#314876; Package ipython. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <tretkowski@inittab.de>:
Extra info received and forwarded to list. Copy sent to Jack Moffitt <jack@xiph.org>. Full text and rfc822 format available.

Message #10 received at 314876@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <tretkowski@inittab.de>
To: Tom <tmb-debian-bugs@lumo.com>, 314876@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#314876: ipython: segmentaion fault
Date: Sun, 19 Jun 2005 21:34:24 +0200
tags 314876 +unreproducible
thanks

* Tom wrote:
> The ipython interpreter segfaults for the simplest of inputs.

I'm unable to reproduce your problem here. Can you please try if it
works if you try it directly in python?

Norbert



Tags added: unreproducible Request was from Norbert Tretkowski <tretkowski@inittab.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jack Moffitt <jack@xiph.org>:
Bug#314876; Package ipython. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Jack Moffitt <jack@xiph.org>. Full text and rfc822 format available.

Message #17 received at 314876@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Tom <tmb-debian-bugs@lumo.com>, 314876@bugs.debian.org, Norbert Tretkowski <tretkowski@inittab.de>
Subject: Re: Bug#314876: ipython: segmentaion fault
Date: Sun, 19 Jun 2005 16:14:38 -0400
On Sun, Jun 19, 2005 at 09:34:24PM +0200, Norbert Tretkowski wrote:
> tags 314876 +unreproducible
> thanks
> 
> * Tom wrote:
> > The ipython interpreter segfaults for the simplest of inputs.
> 
> I'm unable to reproduce your problem here. Can you please try if it
> works if you try it directly in python?
Norbert, Tom, what versions of the following packages do you have
installed?  I wonder if there is an library change which has slipped
through unrecognized.

  ipython-common
  python2.4-ipython
  python2.3-ipython
  python2.2-ipython
  python2.3
  ipython-common
  libbz2-1.0
  libc6
  libdb4.2
  libncurses5
  libreadline4
  libreadline5
  libssl0.9.7
  zlib1g

Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Jack Moffitt <jack@xiph.org>:
Bug#314876; Package ipython. Full text and rfc822 format available.

Acknowledgement sent to Octavian Cerna <tavy@ylabs.com>:
Extra info received and forwarded to list. Copy sent to Jack Moffitt <jack@xiph.org>. Full text and rfc822 format available.

Message #22 received at 314876@bugs.debian.org (full text, mbox):

From: Octavian Cerna <tavy@ylabs.com>
To: 314876@bugs.debian.org
Subject: Re: Bug#314876: ipython: segmentaion fault
Date: Mon, 20 Jun 2005 21:54:22 +0300
Hello,

I had the same segfault problem yesterday, and I managed to track it down.
I have a "testing" system with the following packages:
ipython 0.6.15-1, python2.3 2.3.5-4, libreadline4 4.3-15

The cause for the segfaults is the following patch:

python2.3 (2.3.5-4) unstable; urgency=low
  * Modules/readline.c: Remove redeclaration of history_length.

--- Modules/readline.c~        2004-10-09 19:43:03.000000000 +0200
+++ Modules/readline.c 2005-05-28 22:39:16.199795779 +0200
@@ -93,7 +93,6 @@
       return Py_None;
 }

-static int history_length = -1; /* do not truncate history by default */
 PyDoc_STRVAR(doc_read_history_file,
 "read_history_file([filename]) -> None\n\
 Load a readline history file.\n\
@@ -595,6 +594,7 @@
               Py_FatalError("not enough memory to save locale");
 #endif

+      history_length = -1;
       using_history();

This breaks the readline module for programs that use the history.
The "history_length" symbol clashes with a global variable from
libreadline having the same name.
Here is a simple program that crashes on a etch system but works in
sarge and sid:

import readline
readline.set_history_length(1000)
print raw_input('crash> ')

The problem was fixed by an upload of python2.3 (2.3.5-5), with a
corrected readline patch: "Fix build using gcc-4.0. Rename
history_length to _history_length."

This bug is fixed in sid, and can be closed when the new python enters
testing.

Octavian



Information forwarded to debian-bugs-dist@lists.debian.org, Jack Moffitt <jack@xiph.org>:
Bug#314876; Package ipython. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <tretkowski@inittab.de>:
Extra info received and forwarded to list. Copy sent to Jack Moffitt <jack@xiph.org>. Full text and rfc822 format available.

Message #27 received at 314876@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <tretkowski@inittab.de>
To: Octavian Cerna <tavy@ylabs.com>, 314876@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#314876: ipython: segmentaion fault
Date: Mon, 20 Jun 2005 21:13:19 +0200
tags 314876 +pending
thanks

* Octavian Cerna wrote:
[...]
> The problem was fixed by an upload of python2.3 (2.3.5-5), with a
> corrected readline patch: "Fix build using gcc-4.0. Rename
> history_length to _history_length."
> 
> This bug is fixed in sid, and can be closed when the new python
> enters testing.

Thanks a lot for clarifying!

Norbert



Tags added: pending Request was from Norbert Tretkowski <tretkowski@inittab.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: etch Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jack Moffitt <jack@xiph.org>:
Bug#314876; Package ipython. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Jack Moffitt <jack@xiph.org>. Full text and rfc822 format available.

Message #36 received at 314876@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 314876@bugs.debian.org
Subject: Re: ipython: segmentation fault
Date: Fri, 8 Jul 2005 20:57:27 -0700
[Message part 1 (text/plain, inline)]
reassign 314876 python2.3
tags 314876 -unreproducible
thanks

Let's assign this bug to the package that actually causes it. :)

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `ipython' to `python2.3'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: unreproducible Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 314876 319192. Request was from Norbert Tretkowski <norbert@tretkowski.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 2.3.5-5, send any further explanations to Tom <tmb-debian-bugs@lumo.com> Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 2.3.5-5, send any further explanations to Thomas Christensen <christensenthomas@gmail.com> Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 18:47:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:41:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.